Skip to main content
`Ctrl`+`K`

# PetscDAGetSizes

Retrieves the state size and observation size from a `PetscDA`.

## Synopsis

    PetscErrorCode PetscDAGetSizes(PetscDA da, PetscInt *state_size, PetscInt *obs_size)

Not Collective

## Input Parameter

- da - the `PetscDA` context

## Output Parameters

- state_size - number of state components (may be `NULL`)

- obs_size - number of observation components (may be `NULL`)

## See Also

PetscDA: Data Assimilation, `PetscDASetSizes()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages